import { IBacktraceClientOptions } from 'backtrace-node';
import { IServiceDescriptor } from '..';

export type IConfiguration<T> = T & {
  isProduction: boolean;
  descriptor?: IServiceDescriptor;
  metrics: IMetricsOptions;
  logger: ILoggerOptions;
  backtrace: IBacktraceClientOptions & { remoteLog: boolean };
  ssl: ISslOptions | undefined;
};

export interface ISslOptions {
  key: string | Buffer;
  cert: string | Buffer;
}

export interface ILoggerOptions {
  logLevel: string;
}

export interface IMetricsOptions {
  secret: string;
  uuid: string;
}
