import { Response } from 'express';
export class ResponseResult {
  public static badRequest(response: Response, msg?: string): void {
    const responseMessage = msg ? msg : 'bad request';
    response.status(400).send(new ResponseResult(responseMessage));
  }

  public static unauthorized(response: Response): void {
    const responseMessage = 'unauthorized';
    response.status(403).send(new ResponseResult(responseMessage));
  }
  public static ok(response: Response) {
    response.status(403).send(new ResponseResult('ok', 'ok'));
  }

  public static internalError(response: Response, msg: string): void {
    response.status(500).send(new ResponseResult(msg, 'error'));
  }

  constructor(public readonly msg: string, public status: string = 'error') {}
}
