const path = require('path');
const fs = require('fs');

let confPath;

// backtrace-saml service uses a configuration file with the name of saml.conf
// for historical reasons, however boostrap will attempt to search for a file called
// sso.conf so we need to construct an appropriate confPath for bootstrap's options object
if (process.env.NODE_ENV !== 'production') {
  process.env.SERVICE_DESCRIPTOR_VARPREFIX = path.join(
    process.cwd(),
    'appdata'
  );

  confPath = path.join(process.cwd(), 'saml.conf');
} else if (
  process.env.BACTRACE_SAML_CONF_PATH &&
  fs.existsSync(process.env.BACTRACE_SAML_CONF_PATH)
) {
  confPath = process.env.BACTRACE_SAML_CONF_PATH;
} else {
  confPath = fs.existsSync('/etc/backtrace/saml/saml.conf')
    ? '/etc/backtrace/saml/saml.conf'
    : path.join(process.cwd(), 'saml.conf');
}

module.exports = confPath;
